Skip to main content
POST
/
v1
/
channel
/
ticket
/
attachment
Upload Attachment
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/ticket/attachment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'attachmentData={
  "sellerId": "4711",
  "ticketId": "CASE-01071982",
  "filename": "product.png"
}' \
  --form attachment='@example-file'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

multipart/form-data

Multipart upload of a single attachment file for an existing ticket.

attachmentData
object
required

Attachment meta data as JSON

attachment
file

File Attachment as binary data must have a maxium size of 16 MB.

Allowed Content-Types are

  • text/plain
  • application/pdf
  • application/vnd.openxmlformats-officedocument.wordprocessingml.document
  • application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
  • application/vnd.ms-excel
  • application/msword
  • image/*

Response

Attachmet Uploaded